Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type.access
Class SubstanceSqlTransformer

    java.lang.Object
      ru.biosoft.access.SqlTransformerSupport
          biouml.standard.type.access.ReferrerSqlTransformer
              biouml.standard.type.access.ConceptSqlTransformer
                  biouml.standard.type.access.SubstanceSqlTransformer

All Implemented Interfaces:
  SqlTransformer

public class SubstanceSqlTransformer
extends ConceptSqlTransformer

Field Summary

Fields inherited from class ru.biosoft.access.SqlTransformerSupport
`owner, table`

Constructor Summary
`SubstanceSqlTransformer()`

Method Summary
`protected DataElement` | `createElement(java.sql.ResultSet resultSet)` Creates the data element and fills it specific fields.
`java.lang.String` | `getSelectQuery()` Creates SQL query for extracting all data elements from table.
`java.lang.Class` | `getTemplateClass()` Returns class of object.
`boolean` | `init(DataCollection owner)` Initialize transformer.

Methods inherited from class biouml.standard.type.access.ConceptSqlTransformer
`addDeleteCommands, addInsertCommands, addUpdateCommands, create, getSpecificFields, getSpecificValues`

Methods inherited from class ru.biosoft.access.SqlTransformerSupport
`getCountQuery, getElementExistsQuery, getElementQuery, getNameListQuery, getTable, validateValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubstanceSqlTransformer

    public SubstanceSqlTransformer()

Method Detail

### init

    public boolean init(DataCollection owner)

  Description copied from interface: `SqlTransformer`
  Initialize transformer. Must be called by client after SqlTransformer's constructor, and before using instance of SqlTransformer.

  Specified by:
    `init` in interface `SqlTransformer`
  Overrides:
    `init` in class `ConceptSqlTransformer`

### getTemplateClass

    public java.lang.Class getTemplateClass()

  Description copied from interface: `SqlTransformer`
  Returns class of object.

  Specified by:
    `getTemplateClass` in interface `SqlTransformer`
  Overrides:
    `getTemplateClass` in class `ConceptSqlTransformer`

### getSelectQuery

    public java.lang.String getSelectQuery()

  Description copied from interface: `SqlTransformer`
  Creates SQL query for extracting all data elements from table.

  Specified by:
    `getSelectQuery` in interface `SqlTransformer`
  Overrides:
    `getSelectQuery` in class `ConceptSqlTransformer`

### createElement

    protected DataElement createElement(java.sql.ResultSet resultSet)
                                 throws java.sql.SQLException

  Description copied from class: `biouml.standard.type.access.ReferrerSqlTransformer`
  Creates the data element and fills it specific fields.

  Overrides:
    `createElement` in class `ConceptSqlTransformer`
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.